.homepage-container{
    width: 1300px;
    position: relative;
    background: white;
    margin: 0 auto;
    margin-top: 40px;

    -moz-box-shadow: 0 0 30px rgb(0, 0, 0);
    -webkit-box-shadow: 0 0 30px rgb(0, 0, 0);
    box-shadow: 0 0 30px rgb(0, 0, 0);
}

.homepage-section {
    color: #353c47;
    display: grid;
    grid-template-rows: auto auto;
}

h1 {
    font-weight: bold;
    text-align: center;
    border-bottom: 5px solid #00c6ff;
    font-size: 50px;
}

h2 {
    font-weight: bold;
    text-align: center;
}

.search-aid {
    border: 0;
    clip: rect(0,0,0,0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.homepage-news-holder {
    padding: 0px;
}

.homepage-news-card-header {
    color: white;
    color: #353c47;
    margin: 0 auto;
    text-align: center;
    padding: 5px;
    border-bottom: 3px solid #00c6ff;
    font-size: 18px;
}

.homepage-news-card {
    display: grid;
    padding: 0px;
    font-weight: bold;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 25px;
}

.homepage-news-tagline {
    font-weight: bold;
    color: #fff;
    text-transform: uppercase;
    position: absolute;
    left: 0px;
    top: 15px;
    z-index: 1;
    padding: 3px 10px;
    font-size: 14px;
}

.news {
    background: #00c6ff;
}

.review {
    background: red;
}

.guide {
    background: yellow;
    color: black;
}

.homepage-news-card > a > div {
    color: #353c47;
    position: relative;
    background-color: white;
    text-align: left;
    padding: 0px;
}

.homepage-news-card-article {
    transition: transform .2s;
}

.homepage-news-card img {
    width: 100%;
    vertical-align: bottom;
}

.homepage-news-card h2 {
    backdrop-filter: blur(5px);
    background-color: rgba(33,33,33, .50);
    bottom: 0px;
    margin: 0;
    padding: 10px;
    position: absolute;
    width: calc(100% - 20px);
    color: white;
    font-weight: bold;
    min-height: 50px;

    /* Will affect all contents of container with 0.5ms transition speed */
	-webkit-transition: all 0.5s ease;  /* Safari and Chrome */
	-moz-transition: all 0.5s ease;    /* Mozilla Firefox */
	-ms-transition: all 0.5s ease;    /* Edge */
	-o-transition: all 0.5s ease;    /* Opera */
	transition: all 0.5s ease;	    /* Standard */
}

.homepage-news-card a:first-child {
    grid-column: 1/span 4;
    grid-row: 1/1;
}


.homepage-news-card a:nth-child(2) {
    grid-column: 1/span 2;
    grid-row: 2/2;
}
.homepage-news-card a:nth-child(3) {
    grid-column: 3/span 2;
    grid-row: 2/2;
}


.homepage-news-card > a:nth-child(4) {
    grid-column: 1/1;
    grid-row: 3/3;
}
.homepage-news-card > a:nth-child(5) {
    grid-column: 2/2;
    grid-row: 3/3;
}
.homepage-news-card > a:nth-child(6) {
    grid-column: 3/3;
    grid-row: 3/3;
}
.homepage-news-card > a:nth-child(7) {
    grid-column: 4/4;
    grid-row: 3/3;
}



.divider-container {
    display: flex;
    align-items: center;
    color: #353c47;
}

.divider-title {
    padding: 0 10px;
    font-size: 1.25rem;
    font-weight: bold;
    text-align: center;
}

.line {
    flex-grow: 1;
    height: 2px;
    background-color: #3C3F43; /* Darker gray line */
}



#category-nav h2 {
    color: #353c47;
}

#category-nav > ul {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

#category-nav > ul > li {
    list-style-type: none;
    padding-right: 1em;
    padding-left: 1em;
    font-size: 1.25rem;
    font-weight: bold;
}

#category-nav a {
	color: #353c47;
	text-decoration: none;
    cursor: pointer;

    /* Will affect all contents of container with 0.5ms transition speed */
	-webkit-transition: all 0.4s ease;  /* Safari and Chrome */
	-moz-transition: all 0.4s ease;    /* Mozilla Firefox */
	-ms-transition: all 0.4s ease;    /* Edge */
	-o-transition: all 0.4s ease;    /* Opera */
	transition: all 0.4s ease;	    /* Standard */
}

#category-nav > ul > li:after {
    display:block;
    content: '';
    border-bottom: solid 4px #00bfff;
    border-radius: 6px;
    transform: scaleX(0);  
    transition: transform 250ms ease-in-out;
}

#category-nav > ul > li:hover:after { 
    transform: scaleX(1);
}

.category-news-holder {
    padding: 0px;
}

.category-news-card-header {
    color: white;
    color: #353c47;
    margin: 0 auto;
    text-align: center;
    padding: 5px;
    border-bottom: 3px solid #00c6ff;
    font-size: 18px;
}

.category-news-card {
    display: grid;
    padding: 0px;
    font-weight: bold;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 25px;
}

.category-news-tagline {
    font-weight: bold;
    color: #fff;
    text-transform: uppercase;
    position: absolute;
    left: 0px;
    top: 15px;
    z-index: 1;
    padding: 3px 8px;
    font-size: 12px;
}

.news {
    background: #00c6ff;
}

.review {
    background: red;
}

.guide {
    background: yellow;
    color: black;
}

.category-news-card > a > div {
    color: #353c47;
    position: relative;
    background-color: white;
    text-align: left;
    padding: 0px;
}

.category-news-card > a > div:hover > h2 {
    background-color: rgb(33, 33, 33, .90);
}

.category-news-card img {
    width: 100%;
    vertical-align: bottom;
}

.category-news-card h2 {
    backdrop-filter: blur(5px);
    background-color: rgba(33,33,33, .50);
    bottom: 0px;
    margin: 0;
    padding: 10px;
    position: absolute;
    width: calc(100% - 20px);
    color: white;
    font-size: 14px;
    font-weight: bold;
    min-height: 30px;

    /* Will affect all contents of container with 0.5ms transition speed */
	-webkit-transition: all 0.5s ease;  /* Safari and Chrome */
	-moz-transition: all 0.5s ease;    /* Mozilla Firefox */
	-ms-transition: all 0.5s ease;    /* Edge */
	-o-transition: all 0.5s ease;    /* Opera */
	transition: all 0.5s ease;	    /* Standard */
}


@media all and ( min-width: 1201px ) {    

    .homepage-section {
        padding: 50px 50px 0px 50px;
    }

    .divider-section {
        padding: 50px 50px 0px 50px;
    }

    .homepage-news-card-article:hover {
        transform: scale(1.05);
        box-shadow: 0 1px 8px rgb(0 0 0);
    }
    
    .homepage-news-card > a > div:hover > h2 {
        background-color: rgb(33, 33, 33, .90);
    }    

    #category-articles {
        padding: 0px 50px 50px 50px;
    }

    .category-news-card-article {
        transition: transform .2s;
    }
    
    .category-news-card-article:hover {
        transform: scale(1.05);
        box-shadow: 0 1px 8px rgb(0 0 0);
    }

    .homepage-news-card a:first-child  h2 {
        font-size: 22px;
    }
    
    
    .homepage-news-card a:nth-child(2) h2 {
        font-size: 18px;
    }
    .homepage-news-card a:nth-child(3) h2 {
        font-size: 18px;
    }
    
    
    .homepage-news-card > a:nth-child(4) {
        font-size: 11px;
    }
    .homepage-news-card > a:nth-child(5) {
        font-size: 11px;
    }
    .homepage-news-card > a:nth-child(6) {
        font-size: 11px;
    }
    .homepage-news-card > a:nth-child(7) {
        font-size: 11px;
    }


}


@media all and ( max-width: 1200px ) {
    .homepage-container{
        width: 100%;
    }

    .divider-section {
        padding: 50px 50px 0px 50px;
    }
    
    .homepage-news-card h2 {
        font-size: 12px;
        min-height: 22px;
    }
    .category-news-card h2 {
        font-size: 12px;
        min-height: 16px;
    }
    .homepage-news-tagline {
        padding: 3px 6px;
        font-size: 8px;
    }
    .category-news-tagline {
        padding: 3px 8px;
        font-size: 8px;
    }
}

@media all and ( max-width: 768px ) {
    .homepage-container{
        width: 100%;
        padding-bottom: 60px;
    }

    .divider-section {
        padding: 40px 0px 0px 0px;
    }

    .divider-title > h2 {
        margin-top: 0px;
    }

    
    #category-nav > ul {
        margin-top: 20px;
    }

    #category-nav > ul > li {
        font-size: 1rem;
    }

    .homepage-news-card {
        gap: 0px;
    }   


    .homepage-news-card a:first-child {
        grid-column: 1/span 4;
        grid-row: 1/1;
    }
    
    
    .homepage-news-card a:nth-child(2) {
        grid-column: 1/span 2;
        grid-row: 2/2;
    }
    .homepage-news-card a:nth-child(3) {
        grid-column: 3/span 2;
        grid-row: 2/2;
    }
    
    
    .homepage-news-card > a:nth-child(4) {
        grid-column: 1/span 2;
        grid-row: 3/3;
    }
    .homepage-news-card > a:nth-child(5) {
        grid-column: 3/span 2;
        grid-row: 3/3;
    }
    .homepage-news-card > a:nth-child(6) {
        grid-column: 1/span 2;
        grid-row: 4/4;
    }
    .homepage-news-card > a:nth-child(7) {
        grid-column: 3/span 2;
        grid-row: 4/4;
    }


    .category-news-card {
        display: grid;
        padding: 0px;
        font-weight: bold;
        grid-template-columns: 1fr 1fr;
        gap: 0px;
    }
}